<?php
	$currDir = dirname(__FILE__);
	include("$currDir/nel.php");
	include("$currDir/defaultLang.php");
	include("$currDir/language.php");
	include("$currDir/lib.php");

	include_once("$currDir/header.php");

	/* grant access to all users who have access to the facture table */
	$order_from = get_sql_from('bieleteries');
	if(!$order_from) exit(error_message('Access denied!', false));

	/* get invoice */
	$order_id = intval($_REQUEST['idbieleterie']);
	if(!$order_id) exit(error_message('Invalid invoice ID!', false));
	
	/* retrieve facturations info */
	$order_fields = get_sql_fields('bieleteries');
	$res = sql("select {$order_fields} from {$order_from} and idbieleterie={$order_id}", $eo);
	if(!($order = db_fetch_assoc($res))) exit(error_message('Invoice not found!', false));
	
	
	//var_dump($order);
	
	/* retrieve order items */
	$items = array();
	$order_total = 0;
	$item_fields = get_sql_fields('tarifs');
	$item_from = get_sql_from('tarifs');
	$res = sql("select {$item_fields} from {$item_from} and tarifs.link_bieleterie={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal'] = str_replace('$', '', $row['prix_achat']) * $row['commission'] / 100 + $row['prix_achat'];
		$items[] = $row;
		$order_total += $row['LineTotal'];
	}
	//var_dump($items);
	
	?>
	<!-- bouton impression -->
	<html>

		<head>
			<title></title>
			<style type="text/css" media="print">
				input.imprimer {
					display: none;
				}
		#bas {
				position: fixed;
			bottom: 0;
			width: 100%;
		}
			</style>

		</head>

<body>

    <form method="POST" action="">

        <input type="button" value="Imprimer" class="imprimer" name="bnom" onClick="javascript:window.print()">
    </form>

</body>

	</html>
		
	<img id="img1" src="images/logo.jpg" alt="edpto" style="width: 80px; float: right;">
	<h3>GEIGROUPE</h3>

	<p>Tél. + 222 41 15 12 39</p>
	<p>Web. https://geigroupe.mr<br>Email. geigroupe@geigroupe.mr</p>
	<hr>

	<div class="row">
		<div class="col-sm-6">
			<!-- customer info -->
			<h5>CLIENT : <?php echo $order['client']; ?></h5>
		</div>
		<div class="col-sm-6 text-right">
			<!-- invoice info -->
			<h5>Date : <?php echo $order['date']; ?></h5>
			<center>
				<bold>
					<h2>FACTURE N° <?php echo $order['num_facture']; ?>/<?php echo date('Y');?></h2>
				</bold>
			</center>
		</div>
	</div>
	<hr>
	<!-- order items -->
	<table class="table table-striped table-bordered">
		<thead>
			<th class="text-center">#</th>
			<th>PARCOURS</th>
			<th>COMPAGNIE</th>
			<th>PNR</th>
			<th class="text-center">MONTANT</th>
			<th class="text-center">TOTAL</th>
		</thead>

		<tbody>
			<?php foreach($items as $i => $item){ ?>
			<tr>
				<td class="text-center"><?php echo ($i + 1); ?></td>
				<td><?php echo $item['parcours']; ?></td>
				<td><?php echo $item['compagnie']; ?></td>
				<td><?php echo $item['pnr']; ?></td>
				<td class="text-center"><?php echo $item['prix_achat']; ?></td>
				<td class="text-right"><?php echo number_format($item['LineTotal'], 0, ',', ' '); ?></td>
			</tr>
			<?php } ?>
		</tbody>

		<tfoot>


			<tr>
				<th colspan="5" class="text-right">TOTAL</th>
				<th class="text-right"> <?php echo number_format($order_total + $order['Freight'], 0, ',', ' '); ?></th>
			</tr>
		</tfoot>
	</table>
	<span id="in-words"><b>Arrêté la présente facture à la somme de:</b></span>
	<?php
	include_once('nel.php');
	echo enlettres("$order_total");
	?>
	<span id="in-words"><b> fcfa</b></span>

	<div id="bas">
	<center>
		<p>
		<hr>
			Générale des Entreprises Informatique<br>
			Nouakchott - Mauritanie<br>
		</p>
	</center>
	</div>
<?php

	include_once("$currDir/footer.php");

?>
